import request from '@/utils/request'

// 查询专利信息列表
export function listInformation(query) {
  return request({
    url: '/crmPatentInformation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询专利信息详细
export function getInformation(id) {
  return request({
    url: '/crmPatentInformation/information/' + id,
    method: 'get'
  })
}

// 新增专利信息
export function addInformation(data) {
  return request({
    url: '/crmPatentInformation/information',
    method: 'post',
    data: data
  })
}

// 修改专利信息
export function updateInformation(data) {
  return request({
    url: '/crmPatentInformation/information',
    method: 'put',
    data: data
  })
}

// 删除专利信息
export function delInformation(id) {
  return request({
    url: '/crmPatentInformation/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
  console.log(ids);
  return request.post('/crmPatentInformation/delete',ids)
}

